Bug 550672

Summary: Virt-viewer scales the guest display on full screen but it’s not stretched.
Product: [Fedora] Fedora Reporter: Panormitis Petrou <panormitis>
Component: virt-viewerAssignee: Daniel Berrange <berrange>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 14CC: berrange, panormitis, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-04-18 08:16:44 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Panormitis Petrou 2009-12-26 13:50:28 EST
Virt-viewer on Fedora 12 scales the guest display on full-screen, however when the host is using a wide-screen resolution (for example 1920x1200), the guest will be scaled but not stretched, therefore left & right black bars will appear.

Steps to reproduce:
1. On a Fedora 12 host with a wide-screen resolution (for example 1920x1200), use virt-manager to create a linux or windows virtual machine, (personally I created a Fedora 12 guest).

2. The guest display's maximum resolution will be 1024x768. Click View -> Fullscreen.

3. The guest display will be scaled but it won’t be stretched, because the host is using a wide-screen resolution.

Actual results:
The guest display is scaled on full-screen but not stretched.

Expected results:
The guest display should be stretched on full-screen, when the host is using a wide-screen resolution. This was working correctly in the past.
Comment 1 Daniel Berrange 2010-01-04 07:01:14 EST
I don't think this is quite so clear-cut. Stretching from a 3:4 ratio to 16:9 is very noticeable and I don't think its particularly good for human interaction to have all guest application UIs distorted in this manner. That said I can understand why people might also not like having black bars. So neither option can make everyone happy.

In F12, the scaling mode in non-fullscreen changed so that it attempts to preserve aspect ratio whenever scaling is used. The fullscreen mode is literally intended to simply remove the window manager furniture (and in future the menu bar too), thus switching to fullscreen should not change the scaling mode  by default.

Thus I think we have no option but to introduce a persistent config preference, to allow users to indicate whether they prefer fixed aspect ratio, or stretched displays.
Comment 2 Panormitis Petrou 2010-01-04 11:53:39 EST
Ok, If there is going to be an option to let the user decide, if he/she prefers a scaled or stretched screen, sounds good to me.
Comment 3 Bug Zapper 2010-11-03 22:28:30 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Daniel Berrange 2012-04-18 08:16:44 EDT
If using SPICE graphics for a guest with the SPICE agent installed, virt-viewer will now automatically adjust the guest resolution to match the host resolution when full screen. So the entire argument about whether to preserve aspect ratio when scaling for full screen becomes somewhat irrelevant. I propose to not make any changes discussed here, on the basis that SPICE is the future, obsoleting VNC.